Notices


Reply
Thread Tools
Posts: 928 | Thanked: 2,991 times | Joined on Oct 2014
#221
Originally Posted by explit View Post
Yes i can confirm this. 2.1.0.xx is a very buggy release. On Jolla Tablet its a nightmare....
I suppose You 'could' try 2.1.1.12
 

The Following 3 Users Say Thank You to nieldk For This Useful Post:
Posts: 37 | Thanked: 104 times | Joined on Feb 2016
#222
Originally Posted by explit View Post
Yes i can confirm this. 2.1.0.xx is a very buggy release. On Jolla Tablet its a nightmare....
Besides the obvious choice of crying () on together.jolla, could anyone point out how to debug this?
 

The Following User Says Thank You to Merienth For This Useful Post:
velox's Avatar
Posts: 289 | Thanked: 917 times | Joined on Dec 2009
#223
As I inherited an old mako (Nexus 4) this week:
Does anyone of you guys know how to upgrade it to Iijoki?
There's http://repo.merproject.org/obs/nemo:...shos_2.1.0.11/ – but when I simply change the release to 2.1.0.11 and urls to "devel" in the OTA-directions, it doesn't find jolla-hw-adaptation-hybris when doing version --dup.
I've used CM11-base as described in the wiki.
Pointers in the right direction would be very much appreciated.
__________________
slumber: sensors enabled sleep timer for SFOS (translations/input/… appreciated if you've got some spare time)
talefish: directory based audiobook player for SFOS
___
list of i486/noarch packages on openrepos (jolla tablet)
 

The Following 3 Users Say Thank You to velox For This Useful Post:
Posts: 157 | Thanked: 707 times | Joined on Aug 2016 @ Estonia
#224
Originally Posted by velox View Post
As I inherited an old mako (Nexus 4) this week:
Does anyone of you guys know how to upgrade it to Iijoki?
There's http://repo.merproject.org/obs/nemo:...shos_2.1.0.11/ – but when I simply change the release to 2.1.0.11 and urls to "devel" in the OTA-directions, it doesn't find jolla-hw-adaptation-hybris when doing version --dup.
I've used CM11-base as described in the wiki.
Pointers in the right direction would be very much appreciated.
@velox, there is no 2.1.x release for mako yet, as far as I know. Without proper release, I wouldn't recommend updating via version --dup - many things can break.

You should probably ask for status on IRC and see if ballock can give you an update. I used to assist him with the port earlier, but don't have much time for it anymore due to other commitments. Haven't seen ballock active on IRC either, as much as I followed it from the logs.

mako port would probably need some new active porter(s) that could test/develop on it. So, if you have time and a wish to work on it, I would recommend to ask on corresponding IRC channel for help. The porters are amazing in helping out with the ports and would help you regardless of your level.
 

The Following 2 Users Say Thank You to rinigus For This Useful Post:
Posts: 928 | Thanked: 2,991 times | Joined on Oct 2014
#225
Originally Posted by rinigus View Post
@velox, there is no 2.1.x release for mako yet, as far as I know. Without proper release, I wouldn't recommend updating via version --dup - many things can break.

You should probably ask for status on IRC and see if ballock can give you an update. I used to assist him with the port earlier, but don't have much time for it anymore due to other commitments. Haven't seen ballock active on IRC either, as much as I followed it from the logs.

mako port would probably need some new active porter(s) that could test/develop on it. So, if you have time and a wish to work on it, I would recommend to ask on corresponding IRC channel for help. The porters are amazing in helping out with the ports and would help you regardless of your level.
If you look on https://wiki.merproject.org/wiki/Ada...ishOS_for_mako it should be possible to OTA to 2.1.0.11.

But I think the issue @velox is having, is due to trying to use 'devel' repository.

Try to OTA by simply doing this:

Code:
devel-su sed -i -e 's#^adaptation=.*$#adaptation=http://repo.merproject.org/obs/nemo:/testing:/hw:/lge:/mako/sailfish_latest_armv7hl/#' \
/usr/share/ssu/repos.ini

ssu dr adaptation0

ssu release 2.1.0.11

ssu dr extra
ssu dr mw
ssu ar mw http://repo.merproject.org/obs/nemo:/testing:/hw:/common/sailfish_latest_armv7hl/
ssu er mw
ssu ar dhd http://repo.merproject.org/obs/nemo:/testing:/hw:/lge:/mako/sailfish_latest_armv7hl/

devel-su zypper clean -a
devel-su zypper ref -f

version --dup

sync
reboot
 

The Following 4 Users Say Thank You to nieldk For This Useful Post:
Posts: 157 | Thanked: 707 times | Joined on Aug 2016 @ Estonia
#226
Originally Posted by nieldk View Post
If you look on https://wiki.merproject.org/wiki/Ada...ishOS_for_mako it should be possible to OTA to 2.1.0.11.

But I think the issue @velox is having, is due to trying to use 'devel' repository.

Try to OTA by simply doing this:

Code:
devel-su sed -i -e 's#^adaptation=.*$#adaptation=http://repo.merproject.org/obs/nemo:/testing:/hw:/lge:/mako/sailfish_latest_armv7hl/#' \
/usr/share/ssu/repos.ini

ssu dr adaptation0

ssu release 2.1.0.11

ssu dr extra
ssu dr mw
ssu ar mw http://repo.merproject.org/obs/nemo:/testing:/hw:/common/sailfish_latest_armv7hl/
ssu er mw
ssu ar dhd http://repo.merproject.org/obs/nemo:/testing:/hw:/lge:/mako/sailfish_latest_armv7hl/

devel-su zypper clean -a
devel-su zypper ref -f

version --dup

sync
reboot
Not really, the last release is gamma8, 2.0.5.6. The fact that you can run these commands and get something resembling 2.1.x is surely not encouraged. With each SFOS release, each ported device has to get itself properly ported. As far as I understand, some packages are provided only via device-specific repos. These packages will not be updated (since they don't exist yet, we have to compile them as a part of porting) if you run update before port is ready.

I would suggest to stick to 2.0.5.6 and ask on IRC about the status of the port.
 

The Following 3 Users Say Thank You to rinigus For This Useful Post:
velox's Avatar
Posts: 289 | Thanked: 917 times | Joined on Dec 2009
#227
Thanks guys!

@nieldk I think my first try (resulting in not booting anything) was only changing the $RELEASE. Didn't mention that because I'm actually not really sure that's what I did – That was just playing around for a few minutes on a work break.

@rinigus I'm a bit pressed for time as well, lately, but it may be a good opportunity to learn something new. I'll at least look into the HADK stuff a bit and then see If I can get myself to use IRC again for the first time in 15 years
__________________
slumber: sensors enabled sleep timer for SFOS (translations/input/… appreciated if you've got some spare time)
talefish: directory based audiobook player for SFOS
___
list of i486/noarch packages on openrepos (jolla tablet)
 

The Following User Says Thank You to velox For This Useful Post:
Posts: 928 | Thanked: 2,991 times | Joined on Oct 2014
#228
Originally Posted by rinigus View Post
Not really, the last release is gamma8, 2.0.5.6. The fact that you can run these commands and get something resembling 2.1.x is surely not encouraged. With each SFOS release, each ported device has to get itself properly ported. As far as I understand, some packages are provided only via device-specific repos. These packages will not be updated (since they don't exist yet, we have to compile them as a part of porting) if you run update before port is ready.

I would suggest to stick to 2.0.5.6 and ask on IRC about the status of the port.
Totally true, it is not recommended
 

The Following User Says Thank You to nieldk For This Useful Post:
Posts: 19 | Thanked: 54 times | Joined on Feb 2016 @ Czech Republic
#229
I have unpublic test version of 2.1 for Nexus 4 from the porter but many things does not work (camera, telephone module etc.). But it is build 1,5 months old.
__________________
:: Nexus 4 with Sailfish OS 2.0.5.6 :: My apps for Sailfish OS ::
 
Reply

Tags
sailfish os, sfos upgrade

Thread Tools

 
Forum Jump


All times are GMT. The time now is 11:04.